Page MenuHomePhabricator

hhvm unable to open php://stdin
Closed, ResolvedPublic

Description

HipHop Warning: Unable to open specified file: php://stdin (mode r) in /usr/local/apache/common/php-1.23wmf2/includes/GlobalFunctions.php on line 2816


Version: 1.23.0
Severity: minor
URL: https://github.com/facebook/hhvm/issues/1247

Details

Reference
bz56597

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:38 AM
bzimport set Reference to bz56597.
bzimport added a subscriber: Unknown Object (MLST).
demon created this task.Nov 5 2013, 12:48 AM
demon added a comment.Nov 5 2013, 10:21 PM

This was broken as a result of gerrit change 91115. This is hhvm's fault though, so I've filed upstream: https://github.com/facebook/hhvm/issues/1247

Change 94065 had a related patch set uploaded by Chad:
Work around HHVM bug with stdin/stdout in proc_open()

https://gerrit.wikimedia.org/r/94065

Change 94065 merged by jenkins-bot:
Work around HHVM bug with stdin/stdout in proc_open()

https://gerrit.wikimedia.org/r/94065

Was successfully merged

demon added a comment.Nov 9 2013, 7:08 PM

It's a workaround, not a solution. Let's leave this open until the upstream issue is resolved.

(Lowering priority and severity a bit since we've got a workaround now)

[Using keyword instead of tracking bug for HipHop issues as requested in bug 40926 comment 5. Filter bugmail on this message.]

aaron added a comment.Apr 9 2014, 6:27 PM

Looks like this was fixed upstream? Can the work around be reverted and this patch closed?

Change 125435 had a related patch set uploaded by Aaron Schulz:
Revert "Work around HHVM bug with stdin/stdout in proc_open()"

https://gerrit.wikimedia.org/r/125435

Change 125435 merged by jenkins-bot:
Revert "Work around HHVM bug with stdin/stdout in proc_open()"

https://gerrit.wikimedia.org/r/125435